﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Noise Display VER
DATE:                  2011-06-17
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       103
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP (1 yr) Noise Display Tests
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Applicable conditions:
#        RF attenuation       : 0 dB
#        Resolution Bandwidth : 10 Hz
#        Video Bandwidth      : 1 Hz
#        Trace Averaging      : On
#        Number of Averages   : 20
#        Span                 : 0 Hz
#        Input Conditions     : 50 Ohm terminated
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Query NTHROW parameter value.
  1.001  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
  1.002  VSET         NTHROW = 0

  1.003  RSLT         =
  1.004  HEAD         {DISPLAYED AVERAGE NOISE LEVEL}
  1.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.006  TARGET       -p

  1.007  IF           (@UUT_MaxFreq < 7E+9)
  1.008  MATH         Load = "DC to 3 GHz"
  1.009  ELSEIF       (@UUT_MaxFreq < 13E+9)
  1.010  MATH         Load = "DC to 8 GHz"
  1.011  ELSEIF       (@UUT_MaxFreq < 30E+9)
  1.012  MATH         Load = "DC to 14 GHz"
  1.013  ELSEIF       (@UUT_MaxFreq < 40E+9)
  1.014  MATH         Load = "DC to 30 GHz"
  1.015  ELSE
  1.016  MATH         Load = "DC to 40 GHz"
  1.017  ENDIF

  1.018  IF           (@UUT_MaxFreq < 30E+9)
  1.019  DISP         Connect a Type "N", [V Load], 50 Ohm termination
  1.019  DISP         to the UUT INPUT 50 Ohms connector.
  1.020  ELSE
  1.021  DISP         Connect a [V Load], 50 Ohm termination, having
  1.021  DISP         a connector compatible with the UUT RF INPUT 50 Ohms
  1.021  DISP         test port adapter, to the UUT.
  1.022  ENDIF

  1.023  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.024  SCPI         INP:ATT 0 DB;:FREQ:SPAN 0;:BAND:RES 10;:BAND:VID 1
  1.025  SCPI         SWE:TIME 0.1;:DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
  1.026  SCPI         DISP:WIND:TRAC:Y:SPAC LOG;RLEV -10
  1.027  SCPI         FREQ:CENT 9E+3;:CALC:MARK:STAT ON
  1.028  CALL         Sub FSP (1 yr) Noise Display Tests

  1.029  IF           @Opt_B25
  1.030  RSLT         =
  1.031  HEAD         {DISPLAYED AVERAGE NOISE LEVEL (Option FSP-B25)}
  1.032  MATH         @B25_On = 1
  1.033  TARGET       -p
  1.034  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.035  SCPI         FREQ:CENT 10.99E+6;SPAN 0;:INP:ATT 0 DB;:BAND:RES 10
  1.036  SCPI         BAND:VID 1;:SWE:TIME 0.1;:DISP:WIND:TRAC:MODE AVER
  1.037  SCPI         SWE:COUN 20;:DISP:WIND:TRAC:Y:SPAC LOG;RLEV -80
  1.038  SCPI         INP:GAIN:STAT ON;:CALC:MARK:STAT ON
  1.039  CALL         Sub FSP (1 yr) Noise Display Tests
  1.040  MATH         DEL("@B25_On")
  1.041  ENDIF

  1.042  HEAD         -2
  1.043  SCPI         SYST:PRES
  1.044  HEAD
  1.045  VSET         NTHROW = [V @NumThrow]
  1.046  END
